/**
 * 
 */
/**
 * @author dasheng
 *
 */
package com.baofoo.Demo;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Map;
import java.util.TreeMap;

import net.sf.json.JSONObject;

import com.baofoo.rsa.RsaCodingUtil;
import com.baofoo.util.HttpUtil;
import com.baofoo.util.Log;
import com.baofoo.util.SecurityUtil;

/**
 * 身份证认证
 * @author dasheng
 *
 */

public class CardBin{
	
	public static void main(String[] args) throws Exception{
		String member_id = "100024990";
		String terminal_id = "200001061";
		
		String card_no="6217000340007304466";
		String  pfxpath = "D://CER_EN_DECODE//bfkey_100024990@@200001061.pfx";//商户私钥路径
		String  cerpath = "D://CER_EN_DECODE//bfkey_100024990@@200001061.cer";//宝付公钥路径
		String pfxpwd="100024990_868380";//私钥密码
		
		Map<String,String> PostHeadMap = new TreeMap<String,String>();
	
		PostHeadMap.put("member_id", member_id);
		PostHeadMap.put("terminal_id", terminal_id);//报文流水号
		PostHeadMap.put("data_type", "json");
		

		Map<String,String> datacontent = new TreeMap<String,String>();
		
		datacontent.put("member_id",member_id);
		datacontent.put("terminal_id",terminal_id);
		datacontent.put("trans_id","TID"+System.currentTimeMillis());//商户订单号（自定义订单号）		
		datacontent.put("card_no",card_no);		
		datacontent.put("trade_date",new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()));
		datacontent.put("industry_type","A1");
		datacontent.put("product_type","0");
		
		String DcStr=JSONObject.fromObject(datacontent).toString();
		Log.Write("业务请求参数："+DcStr);
		
		String base64str = SecurityUtil.Base64Encode(DcStr);
		String En_DcStr = RsaCodingUtil.encryptByPriPfxFile(base64str,pfxpath,pfxpwd);
		
		
		PostHeadMap.put("data_content", En_DcStr);//放入业务请求参数。
		
		String restr = HttpUtil.RequestForm("https://vgw.baofoo.com/biztransfer/product/bankcard/v1/bin/info", PostHeadMap);
		
		Log.Write("返回数据："+restr);
		
	}
}