/**
 * 
 */
/**
 * @author dasheng
 *
 */
package com.baofoo.Demo;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Map;
import java.util.TreeMap;

import net.sf.json.JSONObject;

import com.baofoo.rsa.RsaCodingUtil;
import com.baofoo.util.HttpUtil;
import com.baofoo.util.Log;
import com.baofoo.util.SecurityUtil;

/**
 * 身份证认证
 * @author dasheng
 *
 */

public class IdCard{
	
	public static void main(String[] args) throws Exception{
		String member_id = "100026286";
		String terminal_id = "200001418";
		
		String id_card="320301198502169142";
		String id_holder="钱宝";
		
		String  pfxpath ="D:\\CER_EN_DECODE\\100026286\\bfkey_100026286@@200001418.pfx";//商户私钥        
        String  cerpath ="D:\\CER_EN_DECODE\\100026286\\bfkey_100026286@@200001418.cer";//宝付公钥
		String pfxpwd = "100026286_715265";//私钥密码
		
		Map<String,String> PostHeadMap = new TreeMap<String,String>();
	
		PostHeadMap.put("member_id", member_id);
		PostHeadMap.put("terminal_id", terminal_id);//报文流水号
		PostHeadMap.put("data_type", "json");
		

		Map<String,String> datacontent = new TreeMap<String,String>();
		
		datacontent.put("member_id",member_id);
		datacontent.put("terminal_id",terminal_id);
		datacontent.put("trans_id","TID"+System.currentTimeMillis());//商户订单号（自定义订单号）		
		datacontent.put("id_holder",id_holder);
		datacontent.put("id_card",id_card);
		datacontent.put("is_photo","noPhoto");
		datacontent.put("trade_date",new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()));
		datacontent.put("industry_type","A1");
		
		String DcStr=JSONObject.fromObject(datacontent).toString();
		Log.Write("业务请求参数："+DcStr);
		
		String base64str = SecurityUtil.Base64Encode(DcStr);
		String En_DcStr = RsaCodingUtil.encryptByPriPfxFile(base64str,pfxpath,pfxpwd);
		
		
		PostHeadMap.put("data_content", En_DcStr);//放入业务请求参数。
		
		String restr = HttpUtil.RequestForm("https://vgw.baofoo.com/biztransfer/idcard/v2/auth", PostHeadMap);
		
		Log.Write("返回数据："+restr);
		
	}
}